## qt6-remoteobjects 6.9.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtRemoteObjects
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt RemoteObjects Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Widgets Quick QuickTest Bluetooth WebSockets)
qt_internal_project_setup()

if(NOT TARGET Qt::Network)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")
    return()
endif()
qt_build_repo()

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILD_STANDALONE_EXAMPLES)
    # Copy mkspecs for users preferring qmake builds
    set(mkspecs_install_dir "${INSTALL_MKSPECSDIR}")
    qt_path_join(mkspecs_install_dir ${QT_INSTALL_DIR} ${mkspecs_install_dir})

    qt_copy_or_install(DIRECTORY mkspecs/
        DESTINATION "${mkspecs_install_dir}"
        FILES_MATCHING PATTERN "*.pr[if]"
    )
endif()

=== tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_commandlineparser)
    add_subdirectory(repc)
endif()

=== src/remoteobjects/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## RemoteObjects Module:
#####################################################################

set(REPPARSER_DIR "${PROJECT_SOURCE_DIR}/src/repparser")

qt_internal_add_module(RemoteObjects
    QMAKE_MODULE_CONFIG remoteobjects_repc
    SOURCES
        qconnection_local_backend.cpp qconnection_local_backend_p.h
        qconnection_tcpip_backend.cpp qconnection_tcpip_backend_p.h
        qconnectionfactories.cpp qconnectionfactories.h qconnectionfactories_p.h
        qremoteobjectabstractitemmodeladapter.cpp qremoteobjectabstractitemmodeladapter_p.h
        qremoteobjectabstractitemmodelreplica.cpp qremoteobjectabstractitemmodelreplica.h qremoteobjectabstractitemmodelreplica_p.h
        qremoteobjectabstractitemmodeltypes_p.h
        qremoteobjectcontainers.cpp qremoteobjectcontainers_p.h
        qremoteobjectdynamicreplica.cpp qremoteobjectdynamicreplica.h
        qremoteobjectnode.cpp qremoteobjectnode.h qremoteobjectnode_p.h qremoteobjectstructs_p.h
        qremoteobjectpacket.cpp qremoteobjectpacket_p.h
        qremoteobjectpendingcall.cpp qremoteobjectpendingcall.h qremoteobjectpendingcall_p.h
        qremoteobjectregistry.cpp qremoteobjectregistry.h
        qremoteobjectregistrysource.cpp qremoteobjectregistrysource_p.h
        qremoteobjectreplica.cpp qremoteobjectreplica.h qremoteobjectreplica_p.h
        qremoteobjectrepparser.cpp qremoteobjectrepparser_p.h
        qremoteobjectsettingsstore.cpp qremoteobjectsettingsstore.h
        qremoteobjectsource.cpp qremoteobjectsource.h qremoteobjectsource_p.h
        qremoteobjectsourceio.cpp qremoteobjectsourceio_p.h
        qtremoteobjectglobal.cpp qtremoteobjectglobal.h
    DEFINES
        QT_BUILD_REMOTEOBJECTS_LIB
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
        QT_NO_URL_CAST_FROM_STRING
    INCLUDE_DIRECTORIES
        .
        "${REPPARSER_DIR}"
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

qt_process_qlalr(
    RemoteObjects
    "${REPPARSER_DIR}/parser.g"
    ""
)

## Scopes:
#####################################################################

qt_internal_extend_target(RemoteObjects CONDITION QNX
    SOURCES
        qconnection_qnx_backend.cpp qconnection_qnx_backend_p.h
        qconnection_qnx_global_p.h
        qconnection_qnx_qiodevices.cpp qconnection_qnx_qiodevices.h qconnection_qnx_qiodevices_p.h
        qconnection_qnx_server.cpp qconnection_qnx_server.h qconnection_qnx_server_p.h
)

qt_internal_extend_target(RemoteObjects CONDITION QNX AND QT_FEATURE_use_ham
    PUBLIC_LIBRARIES
        ham
)
qt_internal_add_docs(RemoteObjects
    doc/qtremoteobjects.qdocconf
)

include(Qt6RemoteObjectsMacros.cmake)

=== src/remoteobjectsqml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## qtremoteobjects Plugin:
#####################################################################

qt_internal_add_qml_module(RemoteObjectsQml
    URI "QtRemoteObjects"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET declarative_remoteobjects
    CLASS_NAME QtRemoteObjectsPlugin
    SOURCES
        qremoteobjectsqml_p.h
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::RemoteObjects
    NO_GENERATE_CPP_EXPORTS
)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


add_subdirectory(benchmarks)
if(NOT (WIN32 AND CMAKE_CROSSCOMPILING))
    add_subdirectory(cmake)
endif()
add_subdirectory(modelreplica)
add_subdirectory(modelview)
add_subdirectory(pods)
add_subdirectory(proxy)
if(NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(rep_from_header)
endif()
add_subdirectory(repc)
add_subdirectory(repcodegenerator)
add_subdirectory(repcinlib)
add_subdirectory(repparser)
add_subdirectory(subclassreplica)
if(QT_FEATURE_ssl)
    add_subdirectory(external_IODevice)
endif()
if(TARGET Qt::Qml)
    add_subdirectory(qml)
endif()
if(QT_FEATURE_process)
    add_subdirectory(integration_multiprocess)
    add_subdirectory(proxy_multiprocess)
    add_subdirectory(integration_external)
    add_subdirectory(restart)
    add_subdirectory(reconnect)
endif()
add_subdirectory(localsockettestserver)
add_subdirectory(integration)
add_subdirectory(localserveroption)

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(examples)

=== tools/repc/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## repc Tool:
#####################################################################

set(REPPARSER_DIR "${PROJECT_SOURCE_DIR}/src/repparser")

qt_get_tool_target_name(target_name repc)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt Remote Objects Compiler"
    TOOLS_TARGET RemoteObjects
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        cppcodegenerator.cpp cppcodegenerator.h
        main.cpp
        repcodegenerator.cpp repcodegenerator.h
        utils.cpp utils.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
        QT_NO_URL_CAST_FROM_STRING
        RO_INSTALL_HEADERS=\"$$[QT_INSTALL_HEADERS]/QtRemoteObjects\"
    INCLUDE_DIRECTORIES
        ${REPPARSER_DIR}
    LIBRARIES
        Qt::CorePrivate
)

qt_internal_return_unless_building_tools()

set_target_properties(${target_name} PROPERTIES UNITY_BUILD OFF)

# QLALR Grammars:
qt_process_qlalr(
    ${target_name}
    "${REPPARSER_DIR}/parser.g"
    "--exit-on-warn"
)

## Scopes:
#####################################################################

qt_internal_extend_target(${target_name} CONDITION MSVC
    COMPILE_OPTIONS
        /wd4129
)

=== examples/remoteobjects/clientapp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(clientapp LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/remoteobjects/clientapp")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick RemoteObjects)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(clientapp
    WIN32
    MACOSX_BUNDLE
    main.cpp
)

qt_add_qml_module(clientapp
    VERSION 1.0
    URI "TimeExample"
    SOURCES
        plugin.h
    QML_FILES
        Clock.qml
        Plugins.qml
        plugins0.qml
        plugins1.qml
        plugins2.qml
    RESOURCES
        center.png
        clock.png
        hour.png
        minute.png
)

target_link_libraries(clientapp PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::RemoteObjects
)

qt_add_repc_replicas(clientapp
    ../timemodel.rep
)

install(TARGETS clientapp
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/remoteobjects/websockets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::WebSockets AND TARGET Qt::Widgets)
    qt_internal_add_example(wsclient)
    qt_internal_add_example(wsserver)
endif()

=== tests/auto/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_benchmarkstest Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_benchmarkstest LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_benchmarkstest
    SOURCES
        tst_benchmarkstest.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
    LIBRARIES
        Qt::Network
        Qt::RemoteObjects
)
qt6_add_repc_sources(tst_benchmarkstest
    ../repfiles/localdatacenter.rep
    ../repfiles/tcpdatacenter.rep
)
qt6_add_repc_replicas(tst_benchmarkstest
        ../repfiles/localdatacenter.rep
        ../repfiles/tcpdatacenter.rep
)

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(remoteobjects_cmake_tests)
enable_testing()

set(required_packages Core Network RemoteObjects)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the repository's build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    RemoteObjects QRemoteObjectNode
)

_qt_internal_test_module_includes(
    ${module_includes}
)

_qt_internal_test_expect_pass(test_cmake_macros)

=== tests/auto/integration/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_integration Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_integration LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_integration
    SOURCES
        engine.cpp engine.h
        speedometer.cpp speedometer.h
        temperature.h
        tst_integration.cpp
    LIBRARIES
        Qt::RemoteObjects
)
qt6_add_repc_sources(tst_integration
    engine.rep
    ../repfiles/localdatacenter.rep
    ../repfiles/tcpdatacenter.rep
)
qt6_add_repc_replicas(tst_integration
        engine.rep
        ../repfiles/localdatacenter.rep
        ../repfiles/tcpdatacenter.rep
)
qt6_add_repc_merged(tst_integration
            speedometer.rep
            enum.rep
            pod.rep
)

add_dependencies(tst_integration localsockettestserver)

=== debian/changelog ===
qt6-remoteobjects (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:20:03 +0100

qt6-remoteobjects (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:06:56 +0200

qt6-remoteobjects (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.
  * Add qt6-websockets-dev to the B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Sep 2025 19:38:53 +0200

=== debian/control ===
Source: qt6-remoteobjects
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-connectivity-dev (>= 6.9.2~) [linux-any],
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-remoteobjects-dev:native <cross>,
               qt6-websockets-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git

# Remove private headers in 6.10 when the whole issue is resolved.
Package: libqt6remoteobjects6
Provides: qt6-remoteobjects-private-abi (= 6.9.2),
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Remote Objects library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: libqt6remoteobjects6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Remote Objects - the Replica Compiler (repc)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 The Replica Compiler (repc) generates QObject header files based on an API
 definition file.

Package: qml6-module-qtremoteobjects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6remoteobjectsqml6,
Replaces: libqt6remoteobjectsqml6,
Description: Qt 6 Remote Objects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package provides the QML module for Qt Remote Objects.

Package: qt6-remoteobjects-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         libqt6remoteobjects6-bin (= ${binary:Version}),
         qml6-module-qtremoteobjects (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Remote Objects - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for Qt Remote Objects.

Package: qt6-remoteobjects-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remoteobjects tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt remote objects
 documentation.

Package: qt6-remoteobjects-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 remote objects examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt remote objects submodule.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_FORCE_BUILD_TOOLS=ON
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-remoteobjects 6.10.0

=== debian/changelog ===
qt6-remoteobjects (6.10.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 16 Nov 2025 07:56:32 +0000

qt6-remoteobjects (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:32 +1000

qt6-remoteobjects (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-remoteobjects (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:12:24 +1000

qt6-remoteobjects (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:36:22 +1000

qt6-remoteobjects (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:06:04 +1000

qt6-remoteobjects (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:24:40 +1000

qt6-remoteobjects (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:30:36 +1000

qt6-remoteobjects (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:49:35 +1000

qt6-remoteobjects (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:07:28 +1000

qt6-remoteobjects (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:22:34 +1000

qt6-remoteobjects (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 20:55:49 +1000

qt6-remoteobjects (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:56:40 +0100

=== debian/control ===
Source: qt6-remoteobjects
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-connectivity-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-websockets-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-remoteobjects.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-remoteobjects
Maintainer: Neon CI <neon@kde.org>

Package: qt6-remoteobjects
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-connectivity,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6remoteobjects6,
          libqt6remoteobjects6-bin,
          libqt6remoteobjectsqml6,
          qml6-module-qtremoteobjects
Description: Qt 6 Remote Objects library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: qt6-remoteobjects-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev, qt6-remoteobjects, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-remoteobjects-doc-dev, qt6-remoteobjects-examples
Description: Qt 6 Remote Objects - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for Qt Remote Objects.

Package: qt6-remoteobjects-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-remoteobjects-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-remoteobjects-doc-html
Description: Qt 6 Remote Objects - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the documentation files for Qt Remote Objects.

Package: libqt6remoteobjects6
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6remoteobjectsqml6
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6remoteobjects6-bin
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtremoteobjects
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-remoteobjects-doc-dev
Architecture: all
Depends: qt6-remoteobjects-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-remoteobjects-doc-html
Architecture: all
Depends: qt6-remoteobjects-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-remoteobjects-examples
Architecture: all
Depends: qt6-remoteobjects-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,29 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE = 1
 
+# Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	extra_cmake_args += \
+	cmake_extra_args += \
 		-DQT_HOST_PATH=/usr \
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
-		-DQT_FORCE_BUILD_TOOLS=ON
-endif
-
-# enable ccache with corresponding build-profile
-ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
-	extra_cmake_args += -DQT_USE_CCACHE=ON
+		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
 
 %:
-	dh $@ --buildsystem=cmake+ninja
+	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--log-level=STATUS \
+		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
+		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)
 
 override_dh_auto_build-indep:

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtremoteobjects-everywhere-src-([\d\.]+\d).tar.xz

## qt6-remoteobjects 6.10.1

=== debian/changelog ===
qt6-remoteobjects (6.10.1-0zneon+24.04+noble+stable+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:03:55 +0000

qt6-remoteobjects (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:06 +1000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-connectivity-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-websockets-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-connectivity-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-websockets-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

## qt6-remoteobjects 6.10.2

=== debian/changelog ===
qt6-remoteobjects (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-remoteobjects-private-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Feb 2026 22:02:54 +0100

qt6-remoteobjects (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Remove the private headers from being installed.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Fri, 06 Feb 2026 19:00:51 +0100

=== debian/control ===
Source: qt6-remoteobjects
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-connectivity-dev (>= 6.10.2~) [linux-any],
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-remoteobjects-dev:native <cross>,
               qt6-websockets-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git

Package: libqt6remoteobjects6
Provides: qt6-remoteobjects-private-abi (= 6.10.2),
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Remote Objects library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: libqt6remoteobjects6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Remote Objects - the Replica Compiler (repc)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 The Replica Compiler (repc) generates QObject header files based on an API
 definition file.

Package: qml6-module-qtremoteobjects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt6remoteobjectsqml6,
Replaces: libqt6remoteobjectsqml6,
Description: Qt 6 Remote Objects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package provides the QML module for Qt Remote Objects.

Package: qt6-remoteobjects-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         libqt6remoteobjects6-bin (= ${binary:Version}),
         qml6-module-qtremoteobjects (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Remote Objects - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for Qt Remote Objects.

Package: qt6-remoteobjects-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-remoteobjects-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Remote Objects - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private development header files needed
 to build Qt applications using the Qt 6 Remote Objects library.
 .
 Use at your own risk.

Package: qt6-remoteobjects-doc
Architecture: all
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remoteobjects tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt remote objects
 documentation.

Package: qt6-remoteobjects-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 remote objects examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt remote objects submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtremoteobjects-everywhere-src-(.*)\.tar\.xz
